package com.androidbegin.buttonclicktutorial;

import java.util.List;

import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

public class Alarm 
{
	public static final String TABLE_NAME = "alarm";
	public static final String COL_ID = "_id";
	public static final String COL_CREATEDTIME = "created_time";
	public static final String COL_MODIFIEDTIME = "modified_time";
	public static final String COL_NAME = "name";
	public static final String COL_FROMDATE = "from_date";
	public static final String COL_TODATE = "to_date";
	public static final String COL_RULE = "rule";
	public static final String COL_INTERVAL = "interval";
	public static final String COL_SOUND = "sound";
	
	public static final String HIGH = "H";
	public static final String MED = "M";
	public static final String LOW = "L"; 
	
	private long createdTime;
	private long modifiedTime;
	private String name;
	private String fromDate;
	private String toDate;
	private String at;
	private String rule;
	private String interval;
	private Boolean sound = Boolean.FALSE;
	private List<AlarmTime> occurrences;
	
	private long id;
	
	public Alarm() {}
	
	public Alarm(long id)
	{
		this.id = id;
	}
	
	public void reset()
	{
		//super.reset();
		createdTime = 0;
		modifiedTime = 0;
		name = null;
		fromDate = null;
		toDate = null;
		rule = null;
		interval = null;
		sound = Boolean.FALSE;
		occurrences = null;
	}	
	
	public long getId() 
	{
		return id;
	}
	public void setId(long id)
	{
		this.id = id;
	}
	
	/****/
	public long getCreatedTime()
	{
		return createdTime;
	}
	public void setCreatedTime(long createdTime) 
	{
		this.createdTime = createdTime;
	}
	/****/
	public long getModifiedTime() 
	{
		return modifiedTime;
	}
	public void setModifiedTime(long modifiedTime) 
	{
		this.modifiedTime = modifiedTime;
	}
	/****/
	public String getName() 
	{
		return name;
	}
	public void setName(String name) 
	{
		this.name = name;
	}
	/****/
	public String getFromDate() 
	{
		return fromDate;
	}
	public void setFromDate(String fromDate)
	{
		this.fromDate = fromDate;
	}
	/****/
	public String getToDate() 
	{
		return toDate;
	}
	public void setToDate(String toDate) 
	{
		this.toDate = toDate;
	}
	
	
	public String getAt() 
	{
		return at;
	}
	public void setAt(String at) 
	{
		this.at = at;
	}
	
	/****/
	public String getRule() 
	{
		return rule;
	}
	public void setRule(String rule) 
	{
		this.rule = rule;
	}
	/****/
	public String getInterval()
	{
		return interval;
	}
	public void setInterval(String interval) 
	{
		this.interval = interval;
	}
	/****/
	public Boolean getSound()
	{
		return sound;
	}
	public void setSound(Boolean sound)
	{
		this.sound = sound;
	}	
	/****/
	
	

}
